- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TActiveRadioButton

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TCheckBox
                   |
                   --TRadioButton
                      |
                      --TActiveRadioButton

TActiveRadioButton class.

The active control counter part to radio button. The AutoPostBack property is set to true by default. Thus, when the radio button is clicked a OnCallback event is raise after OnCheckedChanged event.

The Text and Checked properties can be changed during a callback.

The GroupName property may NOT be changed during callback because the client-side <tt>name</tt> attribute is read-only and can not be changed using javascript.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Constructor Summary
public | __construct Creates a new callback control, sets the adapter to TActiveControlAdapter. If you override this class, be sure to set the adapter appropriately by, for example, by calling this constructor.

Method Summary
TBaseActiveCallbackControl | getActiveControl ()
protected string | getClientClassName ()
TCallbackClientSide | getClientSide ()
protected string | getDefaultLabelID ()
TMap | getLabelAttributes () Overrides parent implementation to ensure label has ID.
void | onCallback ( TCallbackEventParameter $param) This method is invoked when a callback is requested. The method raises 'OnCallback' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.
void | raiseCallbackEvent ( TCallbackEventParameter $param) Raises the callback event. This method is required by ICallbackEventHandler interface.
protected void | renderClientControlScript ( mixed $writer) Override parent implementation, no javascript is rendered here instead the javascript required for active control is registered in addAttributesToRender.
protected void | renderInputTag ( mixed $writer, mixed $clientID, mixed $onclick) Ensure that the ID attribute is rendered and registers the javascript code for initializing the active control.
protected void | renderLabel ( THtmlWriter $writer, string $clientID, string $text) Renders a label beside the radio button.
void | setChecked ( boolean $value) Checks the radio button.
void | setText ( string $value) Updates the button text on the client-side if the setEnableUpdate property is set to true.

Methods Inherited From TRadioButton

TRadioButton::addToPostDataLoader(), TRadioButton::getClientClassName(), TRadioButton::getEnableClientScript(), TRadioButton::getGroupName(), TRadioButton::getRadioButtonsInGroup(), TRadioButton::getUniqueGroupName(), TRadioButton::getValueAttribute(), TRadioButton::loadPostData(), TRadioButton::onInit(), TRadioButton::onUnLoad(), TRadioButton::renderClientControlScript(), TRadioButton::renderInputTag(), TRadioButton::setEnableClientScript(), TRadioButton::setGroupName(), TRadioButton::setUniqueGroupName()

Methods Inherited From TCheckBox

TCheckBox::getAutoPostBack(), TCheckBox::getCausesValidation(), TCheckBox::getChecked(), TCheckBox::getClientClassName(), TCheckBox::getData(), TCheckBox::getDataChanged(), TCheckBox::getEnableClientScript(), TCheckBox::getInputAttributes(), TCheckBox::getIsValid(), TCheckBox::getLabelAttributes(), TCheckBox::getPostBackOptions(), TCheckBox::getSpanNeeded(), TCheckBox::getSurroundingTagID(), TCheckBox::getTagName(), TCheckBox::getText(), TCheckBox::getTextAlign(), TCheckBox::getValidationGroup(), TCheckBox::getValidationPropertyValue(), TCheckBox::getValue(), TCheckBox::getValueAttribute(), TCheckBox::loadPostData(), TCheckBox::onCheckedChanged(), TCheckBox::onPreRender(), TCheckBox::raisePostDataChangedEvent(), TCheckBox::render(), TCheckBox::renderClientControlScript(), TCheckBox::renderInputTag(), TCheckBox::renderLabel(), TCheckBox::setAutoPostBack(), TCheckBox::setCausesValidation(), TCheckBox::setChecked(), TCheckBox::setData(), TCheckBox::setEnableClientScript(), TCheckBox::setIsValid(), TCheckBox::setText(), TCheckBox::setTextAlign(), TCheckBox::setValidationGroup(), TCheckBox::setValue()

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Constructor Details

## __construct

public __construct |

Creates a new callback control, sets the adapter to TActiveControlAdapter. If you override this class, be sure to set the adapter appropriately by, for example, by calling this constructor.

Method Details

## getActiveControl

public TBaseActiveCallbackControl getActiveControl | ()

Output
TBaseActiveCallbackControl | standard callback control options.
Exception

## getClientClassName

protected string getClientClassName | ()

Output
string | corresponding javascript class name for this TActiveRadioButton.
Exception

## getClientSide

public TCallbackClientSide getClientSide | ()

Output
TCallbackClientSide | client side request options.
Exception

## getDefaultLabelID

protected string getDefaultLabelID | ()

Output
string | radio button label ID;
Exception

## getLabelAttributes

public TMap getLabelAttributes | ()

Overrides parent implementation to ensure label has ID.

Output
TMap | list of attributes to be rendered for label beside the radio button
Exception

## onCallback

public void onCallback | (TCallbackEventParameter $param )

This method is invoked when a callback is requested. The method raises 'OnCallback' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.

Input
TCallbackEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception

## raiseCallbackEvent

public void raiseCallbackEvent | (TCallbackEventParameter $param )

Raises the callback event. This method is required by ICallbackEventHandler interface.

This method is mainly used by framework and control developers.

Input
TCallbackEventParameter | $param | the event parameter
Output
Exception

## renderClientControlScript

protected void renderClientControlScript | (mixed $writer )

Override parent implementation, no javascript is rendered here instead the javascript required for active control is registered in addAttributesToRender.

Input
mixed | $writer |
Output
Exception

## renderInputTag

protected void renderInputTag | (mixed $writer , mixed $clientID , mixed $onclick )

Ensure that the ID attribute is rendered and registers the javascript code for initializing the active control.

Since 3.1.4, the javascript code is not rendered if AutoPostBack is false

Input
mixed | $writer |
mixed | $clientID |
mixed | $onclick |
Output
Exception

## renderLabel

protected void renderLabel | (THtmlWriter $writer , string $clientID , string $text )

Renders a label beside the radio button.

Input
THtmlWriter | $writer | the writer for the rendering purpose
string | $clientID | radio button id
string | $text | label text
Output
Exception

## setChecked

public void setChecked | (boolean $value )

Checks the radio button.

Updates radio button checked state on the client-side if the setEnableUpdate property is set to true.

Input
boolean | $value | whether the radio button is to be checked or not.
Output
Exception

## setText

public void setText | (string $value )

Updates the button text on the client-side if the setEnableUpdate property is set to true.

Input
string | $value | caption of the button
Output
Exception